## VOICE Indication Register request VOICE Indication Register request |

## Functions

QmiMessageVoiceIndicationRegisterInput * | qmi_message_voice_indication_register_input_new ()
QmiMessageVoiceIndicationRegisterInput * | qmi_message_voice_indication_register_input_ref ()
void | qmi_message_voice_indication_register_input_unref ()
gboolean | qmi_message_voice_indication_register_input_get_mt_page_miss_information_events ()
gboolean | qmi_message_voice_indication_register_input_set_mt_page_miss_information_events ()
gboolean | qmi_message_voice_indication_register_input_get_extended_burst_type_international_information_events ()
gboolean | qmi_message_voice_indication_register_input_set_extended_burst_type_international_information_events ()
gboolean | qmi_message_voice_indication_register_input_get_conference_events ()
gboolean | qmi_message_voice_indication_register_input_set_conference_events ()
gboolean | qmi_message_voice_indication_register_input_get_aoc_events ()
gboolean | qmi_message_voice_indication_register_input_set_aoc_events ()
gboolean | qmi_message_voice_indication_register_input_get_uus_events ()
gboolean | qmi_message_voice_indication_register_input_set_uus_events ()
gboolean | qmi_message_voice_indication_register_input_get_modification_events ()
gboolean | qmi_message_voice_indication_register_input_set_modification_events ()
gboolean | qmi_message_voice_indication_register_input_get_ussd_notification_events ()
gboolean | qmi_message_voice_indication_register_input_set_ussd_notification_events ()
gboolean | qmi_message_voice_indication_register_input_get_speech_codec_events ()
gboolean | qmi_message_voice_indication_register_input_set_speech_codec_events ()
gboolean | qmi_message_voice_indication_register_input_get_handover_events ()
gboolean | qmi_message_voice_indication_register_input_set_handover_events ()
gboolean | qmi_message_voice_indication_register_input_get_call_notification_events ()
gboolean | qmi_message_voice_indication_register_input_set_call_notification_events ()
gboolean | qmi_message_voice_indication_register_input_get_supplementary_service_notification_events ()
gboolean | qmi_message_voice_indication_register_input_set_supplementary_service_notification_events ()
gboolean | qmi_message_voice_indication_register_input_get_voice_privacy_events ()
gboolean | qmi_message_voice_indication_register_input_set_voice_privacy_events ()
gboolean | qmi_message_voice_indication_register_input_get_dtmf_events ()
gboolean | qmi_message_voice_indication_register_input_set_dtmf_events ()
QmiMessageVoiceIndicationRegisterOutput * | qmi_message_voice_indication_register_output_ref ()
void | qmi_message_voice_indication_register_output_unref ()
gboolean | qmi_message_voice_indication_register_output_get_result ()
void | qmi_client_voice_indication_register ()
QmiMessageVoiceIndicationRegisterOutput * | qmi_client_voice_indication_register_finish ()

## Types and Values

| QmiMessageVoiceIndicationRegisterInput
| QmiMessageVoiceIndicationRegisterOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageVoiceIndicationRegisterInput
        ╰── QmiMessageVoiceIndicationRegisterOutput

## Description

## Functions

### qmi_message_voice_indication_register_input_new ()

    QmiMessageVoiceIndicationRegisterInput *
    qmi_message_voice_indication_register_input_new
                                   (void);

Allocates a new QmiMessageVoiceIndicationRegisterInput.

#### Returns

the newly created QmiMessageVoiceIndicationRegisterInput. The returned value should be freed with `qmi_message_voice_indication_register_input_unref()`.

Since: 1.26

### qmi_message_voice_indication_register_input_ref ()

    QmiMessageVoiceIndicationRegisterInput *
    qmi_message_voice_indication_register_input_ref
                                   (QmiMessageVoiceIndicationRegisterInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_voice_indication_register_input_unref ()

    void
    qmi_message_voice_indication_register_input_unref
                                   (QmiMessageVoiceIndicationRegisterInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |

Since: 1.26

### qmi_message_voice_indication_register_input_get_mt_page_miss_information_events ()

    gboolean
    qmi_message_voice_indication_register_input_get_mt_page_miss_information_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean *value_mt_page_miss_information_events,
                                    GError **error);

Get the 'MT Page Miss Information Events' field from `self` .

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_mt_page_miss_information_events | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_set_mt_page_miss_information_events ()

    gboolean
    qmi_message_voice_indication_register_input_set_mt_page_miss_information_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean value_mt_page_miss_information_events,
                                    GError **error);

Set the 'MT Page Miss Information Events' field in the message.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_mt_page_miss_information_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_get_extended_burst_type_international_information_events ()

    gboolean
    qmi_message_voice_indication_register_input_get_extended_burst_type_international_information_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean *value_extended_burst_type_international_information_events,
                                    GError **error);

Get the 'Extended Burst Type International Information Events' field from `self` .

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_extended_burst_type_international_information_events | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_set_extended_burst_type_international_information_events ()

    gboolean
    qmi_message_voice_indication_register_input_set_extended_burst_type_international_information_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean value_extended_burst_type_international_information_events,
                                    GError **error);

Set the 'Extended Burst Type International Information Events' field in the message.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_extended_burst_type_international_information_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_get_conference_events ()

    gboolean
    qmi_message_voice_indication_register_input_get_conference_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean *value_conference_events,
                                    GError **error);

Get the 'Conference Events' field from `self` .

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_conference_events | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_set_conference_events ()

    gboolean
    qmi_message_voice_indication_register_input_set_conference_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean value_conference_events,
                                    GError **error);

Set the 'Conference Events' field in the message.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_conference_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_get_aoc_events ()

    gboolean
    qmi_message_voice_indication_register_input_get_aoc_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean *value_aoc_events,
                                    GError **error);

Get the 'AOC Events' field from `self` .

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_aoc_events | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_set_aoc_events ()

    gboolean
    qmi_message_voice_indication_register_input_set_aoc_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean value_aoc_events,
                                    GError **error);

Set the 'AOC Events' field in the message.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_aoc_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_get_uus_events ()

    gboolean
    qmi_message_voice_indication_register_input_get_uus_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean *value_uus_events,
                                    GError **error);

Get the 'UUS Events' field from `self` .

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_uus_events | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_set_uus_events ()

    gboolean
    qmi_message_voice_indication_register_input_set_uus_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean value_uus_events,
                                    GError **error);

Set the 'UUS Events' field in the message.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_uus_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_get_modification_events ()

    gboolean
    qmi_message_voice_indication_register_input_get_modification_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean *value_modification_events,
                                    GError **error);

Get the 'Modification Events' field from `self` .

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_modification_events | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_set_modification_events ()

    gboolean
    qmi_message_voice_indication_register_input_set_modification_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean value_modification_events,
                                    GError **error);

Set the 'Modification Events' field in the message.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_modification_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_get_ussd_notification_events ()

    gboolean
    qmi_message_voice_indication_register_input_get_ussd_notification_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean *value_ussd_notification_events,
                                    GError **error);

Get the 'USSD Notification Events' field from `self` .

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_ussd_notification_events | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_set_ussd_notification_events ()

    gboolean
    qmi_message_voice_indication_register_input_set_ussd_notification_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean value_ussd_notification_events,
                                    GError **error);

Set the 'USSD Notification Events' field in the message.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_ussd_notification_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_get_speech_codec_events ()

    gboolean
    qmi_message_voice_indication_register_input_get_speech_codec_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean *value_speech_codec_events,
                                    GError **error);

Get the 'Speech Codec Events' field from `self` .

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_speech_codec_events | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_set_speech_codec_events ()

    gboolean
    qmi_message_voice_indication_register_input_set_speech_codec_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean value_speech_codec_events,
                                    GError **error);

Set the 'Speech Codec Events' field in the message.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_speech_codec_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_get_handover_events ()

    gboolean
    qmi_message_voice_indication_register_input_get_handover_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean *value_handover_events,
                                    GError **error);

Get the 'Handover Events' field from `self` .

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_handover_events | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_set_handover_events ()

    gboolean
    qmi_message_voice_indication_register_input_set_handover_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean value_handover_events,
                                    GError **error);

Set the 'Handover Events' field in the message.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_handover_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_get_call_notification_events ()

    gboolean
    qmi_message_voice_indication_register_input_get_call_notification_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean *value_call_notification_events,
                                    GError **error);

Get the 'Call Notification Events' field from `self` .

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_call_notification_events | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_set_call_notification_events ()

    gboolean
    qmi_message_voice_indication_register_input_set_call_notification_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean value_call_notification_events,
                                    GError **error);

Set the 'Call Notification Events' field in the message.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_call_notification_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_get_supplementary_service_notification_events ()

    gboolean
    qmi_message_voice_indication_register_input_get_supplementary_service_notification_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean *value_supplementary_service_notification_events,
                                    GError **error);

Get the 'Supplementary Service Notification Events' field from `self` .

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_supplementary_service_notification_events | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_set_supplementary_service_notification_events ()

    gboolean
    qmi_message_voice_indication_register_input_set_supplementary_service_notification_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean value_supplementary_service_notification_events,
                                    GError **error);

Set the 'Supplementary Service Notification Events' field in the message.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_supplementary_service_notification_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_get_voice_privacy_events ()

    gboolean
    qmi_message_voice_indication_register_input_get_voice_privacy_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean *value_voice_privacy_events,
                                    GError **error);

Get the 'Voice Privacy Events' field from `self` .

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_voice_privacy_events | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_set_voice_privacy_events ()

    gboolean
    qmi_message_voice_indication_register_input_set_voice_privacy_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean value_voice_privacy_events,
                                    GError **error);

Set the 'Voice Privacy Events' field in the message.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_voice_privacy_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_get_dtmf_events ()

    gboolean
    qmi_message_voice_indication_register_input_get_dtmf_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean *value_dtmf_events,
                                    GError **error);

Get the 'DTMF Events' field from `self` .

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_dtmf_events | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_input_set_dtmf_events ()

    gboolean
    qmi_message_voice_indication_register_input_set_dtmf_events
                                   (QmiMessageVoiceIndicationRegisterInput *self,
                                    gboolean value_dtmf_events,
                                    GError **error);

Set the 'DTMF Events' field in the message.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterInput. |
value_dtmf_events | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_indication_register_output_ref ()

    QmiMessageVoiceIndicationRegisterOutput *
    qmi_message_voice_indication_register_output_ref
                                   (QmiMessageVoiceIndicationRegisterOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterOutput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_voice_indication_register_output_unref ()

    void
    qmi_message_voice_indication_register_output_unref
                                   (QmiMessageVoiceIndicationRegisterOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterOutput. |

Since: 1.26

### qmi_message_voice_indication_register_output_get_result ()

    gboolean
    qmi_message_voice_indication_register_output_get_result
                                   (QmiMessageVoiceIndicationRegisterOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageVoiceIndicationRegisterOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.26

### qmi_client_voice_indication_register ()

    void
    qmi_client_voice_indication_register (QmiClientVoice *self,
                                          QmiMessageVoiceIndicationRegisterInput *input,
                                          guint timeout,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously sends a Indication Register request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_voice_indication_register_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientVoice. |
input | a QmiMessageVoiceIndicationRegisterInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.26

### qmi_client_voice_indication_register_finish ()

    QmiMessageVoiceIndicationRegisterOutput *
    qmi_client_voice_indication_register_finish
                                   (QmiClientVoice *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_voice_indication_register()`.

#### Parameters

self | a QmiClientVoice. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_voice_indication_register()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageVoiceIndicationRegisterOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_voice_indication_register_output_unref()`.

Since: 1.26

## Types and Values

### QmiMessageVoiceIndicationRegisterInput

    typedef struct _QmiMessageVoiceIndicationRegisterInput QmiMessageVoiceIndicationRegisterInput;

The QmiMessageVoiceIndicationRegisterInput structure contains private data and should only be accessed using the provided API.

Since: 1.26

### QmiMessageVoiceIndicationRegisterOutput

    typedef struct _QmiMessageVoiceIndicationRegisterOutput QmiMessageVoiceIndicationRegisterOutput;

The QmiMessageVoiceIndicationRegisterOutput structure contains private data and should only be accessed using the provided API.

Since: 1.26